<?php
session_start();
include_once('../../config/#Config.php');
if (!$_SESSION['UserName']) {
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
if (!$_POST['user'] && !$_POST['namenew']) {
    $return['type'] = 1;
    $return['text'] = 'Thông tin người dùng không tồn tại.';
    echo json_encode($return);
    exit();
}
// get info 
$getchar = mysqli_query($conn, "Select * From account_web WHERE Account = '" . $_POST['user'] . "'");
if (!mysqli_num_rows($getchar)) {
    $return['type'] = 1;
    $return['text'] = 'Tài khoản này không tồn tại.';
    echo json_encode($return);
    exit();
}
// check nhận vật
            // connect sv
            /* ------------------------------------------- CONNECT CHAR SV ------------------------------- */
            $get_Server = mysqli_query($conn, "Select * From config_server WHERE ServerID = '" . $_POST['sv'] . "'");
            if (!mysqli_num_rows($get_Server)) {
                $data['Text'] = 'Lấy thông tin Máy chủ thất bại.';
                echo json_encode($data);
                exit();
            }
            $get_Server = mysqli_fetch_array($get_Server, MYSQLI_ASSOC);
            $conn_char  = @mysqli_connect($get_Server['IPdata'], $get_Server['Userdata'], $get_Server['PassData'], $get_Server['Databases']);
            if ($conn_char->mysqli_connect_errno) {
                $data['Text'] = "Connection failed: " . $conn_char->mysqli_connect_errno;
                echo json_encode($data);
                exit();
            }
            mysqli_query($conn_char, "SET NAMES 'utf8'"); 			
            /* ------------------------------------------- CONNECT CHAR SV ------------------------------- */
$gcheckchar = mysqli_query($conn_char, "Select * From Player WHERE Account = '" . $_POST['user'] . "' and ID = N'" . $_POST['namenew'] . "'");
if (!mysqli_num_rows($gcheckchar)) {
    $return['type'] = 1;
    $return['text'] = 'Tài khoản chưa có Nhân vật hoặc không tồn tại.';
    echo json_encode($return);
    exit();
}
$IDChar = $_POST['namenew'];
$listitem = str_replace('|','%3B',$_POST['list']);
if(!$listitem){
    $return['type'] = 1;
    $return['text'] = 'List trống';
    echo json_encode($return);
    exit();
	}
mysqli_query($conn, "INSERT INTO logs_admin (UserName,Type,Item,Messager,Timer) VALUES ('" . $_SESSION['UserName'] . "', '0', '$listitem', N'Chuyển ITEM S-".$_POST['sv']."-".$_POST['user']." -".$IDChar."', '".strtotime(date('d-m-Y H:i:s'))."')");
$messager_mail = 'Thư được gửi từ Ban Quản Trị';
if($_POST['messager_mail']){
	$messager_mail = $_POST['messager_mail'];
}
$pud    = time()-1509999999;
$chuoititle = json_encode(array('type' => "SendMail_ACB00099552233"));
$url    = "http://" . $get_Server['IpJson'] . ":" . $get_Server['PortJson'] . "/efunsendreward?nGetPack=1&userId=1&roleId=$IDChar&serverCode=".$get_Server['ServerID']."&serialNo=$pud&packageId=%3B$listitem&title=$chuoititle&content=" . urlencode($messager_mail);
$ch     = curl_init();
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_URL, $url);
$output = curl_exec($ch);
$reset  = json_decode($output);
if($reset->code == 1000){
   $return['type'] = 0;
    $return['text'] = 'Gửi thư thành công. Kiểm tra thư game.';
    echo json_encode($return);
    exit();	
} else {
   $return['type'] = 1;
    $return['text'] = $reset->message;
    echo json_encode($return);
    exit();	
}